toolzerhub API Docs

Get video details

Returns one public video. Accepts a bare aweme_id or any douyin.com video URL. For a v.douyin.com short link use /videos/detail/by-share-url instead.

2 credits / requestBilled only on success
GET
/v2/douyin/videos/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

aweme_id*string

Douyin video id, or any douyin.com video URL (/video/, /note/, an iesdouyin share link, or a ?modal_id= link).

Length1 <= length
curl -X GET "https://example.com/v2/douyin/videos/detail?aweme_id=7448118827402972455" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "aweme_detail": {      "aweme_id": "7448118827402972455",      "desc": "...",      "statistics": {        "digg_count": 4561,        "play_count": 239473,        "share_count": 69      },      "author": {        "uid": "2557909361237356",        "nickname": "..."      }    }  }}